AntiFeatures:
  - NonFreeNet
Categories:
  - Science & Education
License: AGPL-3.0-or-later
AuthorName: AnkiDroid Open Source Team
AuthorEmail: public-forum@ankidroid.org
WebSite: https://ankidroid.org/docs/help.html
SourceCode: https://github.com/ankidroid/Anki-Android
IssueTracker: https://github.com/ankidroid/Anki-Android/issues
Translation: http://crowdin.net/project/ankidroid
Changelog: https://ankidroid.org/docs/changelog.html
OpenCollective: ankidroid

AutoName: AnkiDroid
Description: |-
    Anki is a program which makes remembering things easy. Because it is a lot more
    efficient than traditional study methods, you can either greatly decrease your
    time spent studying, or greatly increase the amount you learn. AnkiDroid is the
    Android port of Anki, and is compatible with Anki data.

    Opt-in synchronization uses the non-free AnkiWeb service by default, but this can be
    changed in the settings to use, for example, an instance of the unofficial
    <a href="https://github.com/ankicommunity/anki-sync-server">Anki Sync Server</a>).

    Opt-in / off-by-default crash reporting will send data to a private / AnkiDroid
    open source team controlled crash reporting server if enabled. This data is only
    used to help fix crash bugs.

    Opt-in / off-by-default analytics will send data to Google Analytics via an
    an open-source implementation of the analytics API if enabled. This data is only
    used to focus developer efforts on popular features.

RepoType: git
Repo: https://github.com/ankidroid/Anki-Android.git

Builds:
  - versionName: '0.7'
    versionCode: 21
    commit: v0.7

  - versionName: '1.1'
    versionCode: 25
    commit: v1.1
    forcevercode: true
    prebuild: sed -i -e "/key\.alias.*/d" -e "/key\.store.*/d" *.properties

  - versionName: '2.0'
    versionCode: 30
    commit: 4e4bafed59
    prebuild: sed -i -e "/key\.alias.*/d" -e "/key\.store.*/d" *.properties

  - versionName: 2.0.1
    versionCode: 32
    commit: v2.0.1
    prebuild: sed -i -e "/^key\./d" *.properties

  - versionName: 2.0.2
    versionCode: 40
    commit: v2.0.2

  - versionName: 2.0.3
    versionCode: 43
    commit: v2.0.3

  - versionName: 2.0.4beta1
    versionCode: 20004201
    commit: v2.0.4beta1

  - versionName: 2.1alpha5
    versionCode: 20100105
    commit: v2.1alpha5

  - versionName: 2.1alpha6
    versionCode: 20100106
    commit: v2.1alpha6

  - versionName: 2.1alpha7
    versionCode: 20100107
    commit: v2.1alpha7

  - versionName: 2.1alpha11
    versionCode: 20100111
    commit: v2.1alpha11

  - versionName: 2.1alpha13
    versionCode: 20100113
    commit: v2.1alpha13

  - versionName: 2.1beta2
    versionCode: 20100202
    commit: v2.1beta2

  - versionName: 2.1beta3
    versionCode: 20100203
    commit: v2.1beta3

  - versionName: 2.1beta6
    versionCode: 20100206
    commit: v2.1beta6

  - versionName: 2.1beta7
    versionCode: 20100207
    commit: v2.1beta7

  - versionName: 2.1beta8
    versionCode: 20100208
    commit: v2.1beta8

  - versionName: 2.1beta9
    versionCode: 20100209
    commit: v2.1beta9

  - versionName: 2.1beta11
    versionCode: 20100211
    commit: v2.1beta11

  - versionName: 2.1beta13
    versionCode: 20100213
    commit: v2.1beta13

  - versionName: 2.1beta14
    versionCode: 20100214
    commit: v2.1beta14

  - versionName: 2.1beta15
    versionCode: 20100215
    commit: v2.1beta15

  - versionName: 2.1beta16
    versionCode: 20100216
    commit: v2.1beta16

  - versionName: 2.1.1
    versionCode: 20101300
    commit: v2.1.1

  - versionName: 2.1.2
    versionCode: 20102300
    commit: v2.1.2

  - versionName: 2.1.3
    versionCode: 20103300
    commit: v2.1.3

  - versionName: 2.2alpha1
    versionCode: 20200101
    commit: v2.2alpha1

  - versionName: 2.2alpha14
    versionCode: 20200114
    commit: v2.2alpha14

  - versionName: 2.2alpha17
    versionCode: 20200117
    commit: v2.2alpha17

  - versionName: '2.2'
    versionCode: 20200300
    commit: v2.2

  - versionName: 2.2.2
    versionCode: 20202300
    commit: v2.2.2

  - versionName: 2.2.3
    versionCode: 20203300
    commit: v2.2.3

  - versionName: '2.3'
    versionCode: 20300300
    commit: v2.3

  - versionName: 2.3.2
    versionCode: 20302300
    commit: 2.3.2

  - versionName: 2.4.2
    versionCode: 20402300
    commit: v2.4.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.4.3
    versionCode: 20403300
    commit: v2.4.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.5'
    versionCode: 20500300
    commit: v2.5
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.1
    versionCode: 20501300
    commit: v2.5.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.2
    versionCode: 20502300
    commit: v2.5.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.5.4
    versionCode: 20504301
    commit: 1926fcc7d86d85cbc068234bc565b9f607b8e45f
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.6'
    versionCode: 20600300
    commit: v2.6
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.6.1
    versionCode: 20601300
    commit: v2.6.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.7'
    versionCode: 20700300
    commit: v2.7
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: '2.8'
    versionCode: 20800300
    commit: v2.8
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.1
    versionCode: 20801300
    commit: v2.8.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.2
    versionCode: 20802300
    commit: v2.8.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.3
    versionCode: 20803300
    commit: v2.8.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.8.4
    versionCode: 20804300
    commit: v2.8.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.1
    versionCode: 20901300
    commit: v2.9.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.2
    versionCode: 20902300
    commit: v2.9.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.3
    versionCode: 20903300
    commit: v2.9.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.4
    versionCode: 20904300
    commit: v2.9.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.5
    versionCode: 20905300
    commit: v2.9.5
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.6
    versionCode: 20906300
    commit: v2.9.6
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.9.7
    versionCode: 20907300
    commit: v2.9.7
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java

  - versionName: 2.10.2
    versionCode: 21002300
    commit: v2.10.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java
    ndk: r21b

  - versionName: 2.10.3
    versionCode: 21003300
    commit: v2.10.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java
    ndk: r21b

  - versionName: 2.10.4
    versionCode: 21004300
    commit: v2.10.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    scanignore:
      - AnkiDroid/src/main/java/com/ichi2/libanki/hooks/ExternalHookLoader.java
    ndk: r21b

  - versionName: 2.11.1
    versionCode: 21101300
    commit: v2.11.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    ndk: r21b

  - versionName: 2.11.2
    versionCode: 21102300
    commit: v2.11.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    ndk: r21b

  - versionName: 2.11.3
    versionCode: 21103302
    commit: v2.11.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' build.gradle
    ndk: r21d

  - versionName: 2.12.1
    versionCode: 21201300
    commit: v2.12.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.0
    versionCode: 21300300
    commit: v2.13.0
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.1
    versionCode: 21300301
    commit: v2.13.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.2
    versionCode: 21300302
    commit: v2.13.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.3
    versionCode: 21300303
    commit: v2.13.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.4
    versionCode: 21300304
    commit: v2.13.4
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.13.5
    versionCode: 21300305
    commit: v2.13.5
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.0
    versionCode: 21400300
    commit: v2.14.0
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.1
    versionCode: 21401300
    commit: v2.14.1
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.2
    versionCode: 21402300
    commit: v2.14.2
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.3
    versionCode: 21403300
    commit: v2.14.3
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.5
    versionCode: 21405300
    commit: v2.14.5
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.14.6
    versionCode: 21406300
    commit: v2.14.6
    subdir: AnkiDroid
    gradle:
      - yes
    rm:
      - tools
      - docs
    prebuild: sed -i -e 's/21.1.6352462/21.3.6528147/' -e '/splits\ {/,+30d' build.gradle
    ndk: r21d

  - versionName: 2.15.2
    versionCode: 21502300
    commit: v2.15.2
    subdir: AnkiDroid
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

  - versionName: 2.15.4
    versionCode: 21504300
    commit: v2.15.4
    subdir: AnkiDroid
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

  - versionName: 2.15.5
    versionCode: 21505300
    commit: 1493d0cca4072b7cacdaed425ca96ed16a4ac336
    subdir: AnkiDroid
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

  - versionName: 2.15.6
    versionCode: 21506300
    commit: 58c5bd15e897bfb32a2badc80018729b0a7238d6
    subdir: AnkiDroid
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

  - versionName: 2.16.2
    versionCode: 21602300
    commit: 13c103ea74337be0792e8344c62a7f0adb03aee8
    subdir: AnkiDroid
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

  - versionName: 2.16.3
    versionCode: 21603300
    commit: 43094e4937b4b039aac7441f0d6a7066faee872c
    subdir: AnkiDroid
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - play
    rm:
      - tools
      - docs
    prebuild:
      - sed -i -e 's/22.0.7026061/22.1.7171670/' -e '/splits {/,/^    }/d' -e '/applicationVariants.all/,/^    }/d'
        build.gradle
      - sed -i -e '/publishing/,/^}/d' -e '/publish/d' ../api/build.gradle
      - sed -i -e '/Temporary/,/End temporary/d' ../build.gradle
    ndk: r22b

MaintainerNotes: Uses DexLoader to load custom decks and plugins (?).

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[0-9.]*$
CurrentVersion: 2.16.3
CurrentVersionCode: 21603300
